=== debian/changelog ===
silverjuke (15.4-1build1) wily; urgency=medium

  * No-change rebuild against libwx*-0v5

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 10 Aug 2015 12:29:34 +0200

silverjuke (15.4-1) unstable; urgency=medium

  * Initial release (Closes: #784902)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 29 Jun 2015 09:49:31 +0200
