## silverjuke 15.9.3

=== debian/changelog ===
silverjuke (15.9.3-1) unstable; urgency=medium

  * Imported Upstream version 15.9.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 21 Nov 2015 07:02:44 +0100

silverjuke (15.8-1) unstable; urgency=medium

  * Imported Upstream version 15.8
  * Remove 0002-Fix-package-version-number.patch, not needed anymore

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 29 Oct 2015 09:08:55 +0100

silverjuke (15.6.1-1) unstable; urgency=medium

  * Imported Upstream version 15.6.1
  * Refresh patch
  * Add new patch to fix package version number

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 23 Oct 2015 11:05:12 +0200
