=== debian/control ===
Source: silverjuke
Section: sound
Priority: optional
Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf, zlib1g-dev, libxine2-dev,
 libsqlite3-dev, libwxgtk3.0-dev, python3-docutils
Standards-Version: 3.9.6
Homepage: http://www.silverjuke.net/
Vcs-Git: git://anonscm.debian.org/users/toddy/debian/silverjuke.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/toddy/debian/silverjuke.git;a=summary

Package: silverjuke
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: jukebox, karaoke, and kiosk mode mp3 player
 Silverjuke is an easy to use jukebox solution implemented in wxWidgets.
 Some of the features are:
  * Wide range of supported audio formats (MP1, MP2, MP3, MPC, MP+,
    Ogg-Vorbis, FLAC, Monkey's Audio, WavPack, WAV, AIFF, MOD),
    more formats can be implemented using modules
  * Internal sound processing with 32 bit (for crossfading, autovolume,
    jingles, smart shuffle, VST effect plugings)
  * Kiosk mode, supports touchscreens
  * Track information can be edited (ID3-tags)
  * Support for playlists (M3U, PLS, CUE)
  * Fully skinnable
  * Powerful search
