=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

# Remove some automatically installed files which are not needed
override_dh_auto_install:
	dh_auto_install
	rm debian/silverjuke/usr/share/doc/silverjuke/LICENSE
	rm debian/silverjuke/usr/share/doc/silverjuke/CHANGES.md
	rm debian/silverjuke/usr/share/doc/silverjuke/command-line.rst
