## silverjuke 15.10.1

=== debian/changelog ===
silverjuke (15.10.1-1) unstable; urgency=medium

  * Imported Upstream version 15.10.1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 05 Dec 2015 16:49:39 +0100
