## silverjuke 16.1.2

=== debian/changelog ===
silverjuke (16.1.2-2) unstable; urgency=medium

  * Add patch for FTBFS on some architectures
  * Update Vcs-* URLS

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 28 Jan 2016 08:45:38 +0100

silverjuke (16.1.2-1) unstable; urgency=medium

  * Imported Upstream version 16.1.2
  * Remove d/menu
  * Refresh patches
  * Add patch for version number

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 14 Jan 2016 16:40:39 +0100
