=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
  libsqlite3-dev, libwxgtk3.0-dev, python3-docutils
 Standards-Version: 3.9.6
 Homepage: http://www.silverjuke.net/
-Vcs-Git: git://anonscm.debian.org/users/toddy/debian/silverjuke.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/toddy/debian/silverjuke.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/silverjuke.git
+Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/silverjuke.git
 
 Package: silverjuke
 Architecture: any
