## silverjuke 16.2.3

=== debian/changelog ===
silverjuke (16.2.3-1) unstable; urgency=medium

  * Imported Upstream version 16.2.3
  * Correctly enable hardening build flags
  * Remove patches, all have been applied upstream
  * Update Build-Depends
  * Update copyright
  * Update Standards-Version to 3.9.7, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 14 Feb 2016 15:05:57 +0100
