=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: sound
 Priority: optional
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, zlib1g-dev, libxine2-dev,
+Build-Depends: debhelper (>= 9), dh-autoreconf, zlib1g-dev,
+ libgl1-mesa-dev, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
  libsqlite3-dev, libwxgtk3.0-dev, python3-docutils
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://www.silverjuke.net/
 Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/silverjuke.git
 Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/silverjuke.git
