## silverjuke 16.5.3

=== debian/changelog ===
silverjuke (16.5.3-2) unstable; urgency=medium

  * Switch Vcs-URLs to salsa.d.o
  * Use HTTPS for upstream's homepage
  * Update Standards-Version to 4.1.3
    - Use HTTPS for d/copyright
  * Update d/copyright
  * Use debhelper v11
    - Remove call to dh-autoreconf, is now debhelper default
  * Enable compilation with libupnp6 and libupnp10.
    Thanks to Uwe Kleine-König <ukleinek@debian.org> (Closes: #884250)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 22 Jan 2018 21:11:03 +0100

silverjuke (16.5.3-1) unstable; urgency=medium

  * Imported Upstream version 16.5.3
  * Add libupnp-dev to Build-Depends
  * Update Standards-Version to 3.9.8, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 23 Jun 2016 11:15:43 +0200

silverjuke (16.3.5-1) unstable; urgency=medium

  * Imported Upstream version 16.3.5

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 18 Mar 2016 16:44:05 +0100

silverjuke (16.3.3-1) unstable; urgency=medium

  * Imported Upstream version 16.3.3

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 14 Mar 2016 17:11:53 +0100

silverjuke (16.3.2-1) unstable; urgency=medium

  * Imported Upstream version 16.3.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 12 Mar 2016 16:14:48 +0100
