=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: sound
 Priority: optional
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, zlib1g-dev,
+Build-Depends: debhelper (>= 11), zlib1g-dev,
  libgl1-mesa-dev, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
- libsqlite3-dev, libwxgtk3.0-dev, python3-docutils
-Standards-Version: 3.9.7
-Homepage: http://www.silverjuke.net/
-Vcs-Browser: https://anonscm.debian.org/cgit/users/toddy/debian/silverjuke.git
-Vcs-Git: https://anonscm.debian.org/git/users/toddy/debian/silverjuke.git
+ libsqlite3-dev, libwxgtk3.0-dev, libupnp-dev (>= 1:1.6.24~), python3-docutils
+Standards-Version: 4.1.3
+Homepage: https://www.silverjuke.net/
+Vcs-Browser: https://salsa.debian.org/debian/silverjuke
+Vcs-Git: https://salsa.debian.org/debian/silverjuke.git
 
 Package: silverjuke
 Architecture: any
