=== debian/changelog ===
silverjuke (18.2.1-4) unstable; urgency=medium

  [ Dr. Tobias Quathamer ]
  * Build-Depend on libwxgtk3.2-dev. (Closes: #1019787)
  * Update d/copyright
  * Update to Standards-Version 4.6.1, no changes needed
  * Update watch file to v4
  * Add gbp.conf for DEP-14 branch layout

  [ Scott Talbert ]
  * Patch for wxWidgets 3.2 compatibility

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 18 Sep 2022 20:21:55 +0200

silverjuke (18.2.1-3) unstable; urgency=medium

  * Add patch to update freedb URL to gnudb.gnudb.org
  * Use debhelper v13
  * Update Standards-Version to 4.5.0, no changes needed
  * Remove unneeded DEB_LDFLAGS_MAINT_APPEND

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 25 Jun 2020 14:00:52 +0200

silverjuke (18.2.1-2) unstable; urgency=medium

  * Use libwxgtk3.0-gtk3-dev instead of libwxgtk3.0-dev. (Closes: #933472)
    - Add patch to enable usage of wxGLCanvas
  * Update d/copyright
  * Update upstream github URLs to new location
  * Switch to debhelper-compat v12
  * Update Standards-Version to 4.4.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 01 Aug 2019 00:25:15 +0200

silverjuke (18.2.1-1) unstable; urgency=medium

  * New upstream version 18.2.1
    - Remove patch for libupnp10, has been applied upstream
  * Update d/copyright
  * Use wrap-and-sort

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 10 Feb 2018 14:53:18 +0100
