=== debian/control ===
--- 
+++ 
@@ -2,17 +2,23 @@
 Section: sound
 Priority: optional
 Maintainer: Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 11), zlib1g-dev,
- libgl1-mesa-dev, libgstreamer1.0-dev, libgstreamer-plugins-base1.0-dev,
- libsqlite3-dev, libwxgtk3.0-dev, libupnp-dev (>= 1:1.6.24~), python3-docutils
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 13),
+               libgl1-mesa-dev,
+               libgstreamer-plugins-base1.0-dev,
+               libgstreamer1.0-dev,
+               libsqlite3-dev,
+               libupnp-dev,
+               libwxgtk3.2-dev,
+               python3-docutils,
+               zlib1g-dev
+Standards-Version: 4.6.1
 Homepage: https://www.silverjuke.net/
 Vcs-Browser: https://salsa.debian.org/debian/silverjuke
 Vcs-Git: https://salsa.debian.org/debian/silverjuke.git
 
 Package: silverjuke
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: jukebox, karaoke, and kiosk mode mp3 player
  Silverjuke is an easy to use jukebox solution implemented in wxWidgets.
  Some of the features are:
