=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,12 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 # Remove some automatically installed files which are not needed
 override_dh_auto_install:
