=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/silverjuke-$1\.tar\.gz/ \
  https://github.com/silverjuke/silverjuke/releases .*/v?(\d\S*)\.tar\.gz
